Redmine - Feature #5358

Share Issues Categories for sub-projects
2010-04-20 17:27 - Enderson Maia

Status: New Start date: 2010-04-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description
| think that should be possible to set each category to be use to all the sub-projects.

| use a top-level projects as a help desk, and the sub-projects as departaments. And | have categories related to many areas like

e Hardware - Printer
Hardware - CPU
System - Intranet
System - Redmine
... ALOT MORE

If I could only say that these TOP-LEVEL categories can be used in sub-projects, wold solve my problem.

Related issues:

Related to Redmine - Patch #11898: Inheritable issue categories New

Related to Redmine - Feature #1878: Inherit parts of parent project by subpro... New 2008-09-09
Related to Redmine - Feature #6794: Global and inheritable Categories New 2010-11-02
Related to Redmine - Feature #16941: Do not clear category on project change ... Closed

Has duplicate Redmine - Feature #5186: Issue Categories inheritance Closed 2010-03-25
Has duplicate Redmine - Feature #4159: Make Issue categories to be inherited ... Closed 2009-11-02
Has duplicate Redmine - Feature #12362: Sharing Issue categories Closed

Has duplicate Redmine - Feature #12215: Option to inherit Issue Category list... Closed

History

#1 - 2010-04-21 06:59 - Enderson Maia
| was making the search for sharing categories, but when searching for inheritance and other terms | found the ticket #1278, #2521
They talk about a way to make categories global or default, what is different form my suggestion.
| can see 3 different ways to solve the problem that is common in my and the other requests:
1. Enable copy of Categories between projects (http://www.redmine.org/boards/2/topics/4992), a little manual, but less than typing.
2. Enable sharing of categories for sub-projects. On the parent project, | should select what category to share with sub-projects.

3. Enable inheritance of categories. On the sub-project | could activate the inheritance of all/'some parent-project categories.
4. Use the same behavior of Version sharing from release 0.9.3.

#2 - 2010-04-21 07:00 - Enderson Maia

Enderson Maia wrote:

| can see 3 different ways to solve the problem that is common in my and the other requests:

I mean, 4 (four) :)
#3 - 2010-08-29 15:52 - Marton Danoczy

+1 this functionality would be really useful.
Duplicate of #5186, #4159

2025-05-02 1/14



https://www.redmine.org/issues/1278
https://www.redmine.org/issues/2521
http://www.redmine.org/boards/2/topics/4992
https://www.redmine.org/issues/5186
https://www.redmine.org/issues/4159

#4 - 2010-09-10 02:46 - YongSeop Lim

+1

#5 - 2010-10-03 19:28 - David Raison

+1

#6 - 2010-10-19 05:46 - HU an

+1
even a global issue category feature is also pretty useful, just like the target version can be shared to all the projects

#7 - 2010-10-25 17:29 - Oli Kessler

+1

#8 - 2010-10-25 18:21 - Daniel Neis Araujo

+1

#9 - 2011-02-16 11:13 - Rolf Stetter

+1

#10 - 2011-02-16 11:22 - lvan Cenov

+1

#11 - 2011-02-16 17:06 - Daniel Neis Araujo
As noted by Aurélien LAJOIE, in #4195 , i think this should be implemented as version sharing (#465).

#12 - 2011-02-16 17:11 - Daniel Neis Araujo
its #4159

#13 - 2011-02-16 18:17 - Daniel Neis Araujo

Hello, i am attaching a first version of a patch to adapt the code from version sharing to issue category change.
Still needs review and tests and would be good to implement some tests also...

Hope you like.

#14 - 2011-02-16 18:21 - Daniel Neis Araujo
- File redmine-5358.diff added

the patch
B)

#15 - 2011-02-18 00:38 - Daniel Neis Araujo
- File 5358-first.working.version.diff added

Hello, this versions of patch applies to master and seems to work. I've made some navigations tests and things seems to work.
Any help in test/refactor the code is appreciated =)

#16 - 2011-02-23 07:58 - Chris Darts

| just tried to run this patch on Redmine v1.1.1 and received the following error message:

patching file b/app/controllers/issue_categories_controller.rb

Hunk #1 FAILED at 25.

1 out of 1 hunk FAILED -- saving rejects to file b/app/controllers/issue_categories_controller.rb.rej
patching file b/app/helpers/projects_helper.rb

Hunk #1 FAILED at 105.

1 out of 1 hunk FAILED -- saving rejects to file b/app/helpers/projects_helper.rb.rej
patching file b/app/models/issue.rb

Hunk #1 FAILED at 143.

Hunk #2 FAILED at 313.

Hunk #3 FAILED at 414.

Hunk #4 FAILED at 573.

Hunk #5 FAILED at 776.

5 out of 5 hunks FAILED -- saving rejects to file b/app/models/issue.rb.rej
patching file b/app/models/issue_category.rb

Hunk #1 FAILED at 16.

Hunk #2 FAILED at 40.

2 out of 2 hunks FAILED -- saving rejects to file b/app/models/issue_category.rb.rej
patching file b/app/models/project.rb

Hunk #1 FAILED at 384.

1 out of 1 hunk FAILED -- saving rejects to file b/app/models/project.rb.rej

patching file b/app/views/issue_categories/_form.rhtml

Hunk #1 FAILED at 3.

1 out of 1 hunk FAILED -- saving rejects to file b/app/views/issue_categories/_form.rhtml.rej
patching file b/app/views/issues/_attributes.rhtml

Hunk #1 FAILED at 9.

1 out of 1 hunk FAILED -- saving rejects to file b/app/views/issues/_attributes.rhtml.rej
patching file b/db/migrate/20110216000000_add_issue_category_sharing.rb

Any ideas?

#17 - 2011-02-23 18:29 - Daniel Neis Araujo

Hello,

which version of the patch are you using? | have applied the "5358-first.working.version.diff", to the current redmine master commit (

https://github.com/danielneis/redmine/tree/3ab981c04c33ebc1a490063d2d626fa669721209) and it worked well.
I've setup a git repository that you can try. Here is the link for the branch: https:/github.com/danielneis/redmine/tree/5358-issue.category.sharing

Thanks for testing the patch!

Kind regards,
Daniel

#18 - 2011-02-24 13:56 - Chris Darts
| also used version '5358-first.working.version.diff' as uploaded 8 days ago.

| was using the redmine version at https://github.com/edavis10/redmine, but I've now set up a working copy from the svn (Redmine 1.1.1.stable.4943
(MySQL)) and | received the same error.

I'm fairly new to this and not a rails developer so excuse my ignorance, but I'm wondering why it's trying to write to a file in 'b/app/controllers' where
there isn't a 'b' directory in the root of Redmine?

| would love to get this working so any assistance would be greatly appreciated.

#19 - 2011-02-25 17:26 - Daniel Neis Araujo

Hello,

what command have you used to apply the patch?

The patch was generated by git, so the 'a’ is the original file and 'b' is the new version of file.

You must apply the patch with 'patch -p1 < 5358-first.working.version.diff' to ignore the first directory level in the diff file.

HTH,
Daniel

#20 - 2011-02-25 20:05 - Chris Darts

Thanks Daniel. | now tried it with -p1 instead of -p0 and it worked fine.

However, | just tried to test it out with one of my projects and | received the following error when | click on the 'new category' link.
Any help would be greatly appreciated.

NameError in Issue_categories#new

Showing app/views/issue_categories/_form.rhtml where line #6 raised:

undefined local variable or method “sharing' for #<IssueCategory:0xb5f£938e0>

Extracted source (around line #6):

3: <div class="box">

4: <p><%= f.text_field :name, :size => 30, :required => true %$></p>

5: <p><%= f.select :assigned_to_id, @project.users.sort.collect{|u|l [u.name, u.id]}, :include_blank => true %>
</p>

6: <p><%= f.select :sharing, @category.allowed_sharings.collect{|c| [format_category_sharing(c), cl} %$></p>
7: </div>
#21 - 2011-02-25 20:31 - Daniel Neis Araujo

Hello,

you must execute "rake db:migrate:all" to create the "sharing" column on "issue_categories" table.
More info on redmine upgrages at http:/www.redmine.org/projects/redmine/wiki/RedmineUpgrade

Regards,
Daniel

#22 - 2011-02-25 20:37 - Chris Darts

It works perfectly now. This is a great addition to Redmine.

Thanks for your quick response.

#23 - 2011-02-28 10:50 - Etienne Massip

- Category set to Issues

#24 - 2011-05-04 21:07 - Declan Lynch

+1

The requirements for inheriting issue categories in subprojects just came up for our RedMine users.

#25 - 2011-05-31 11:20 - Chris Darts

I've just tested the patch file on the new Redmine 1.2.0 release and it seems there are some compatibilty issues.
This is the output after trying to apply the patch:

$ patch -pl < 5358-first.working.version.diff

patching file app/controllers/issue_categories_controller.rb

patching file app/helpers/projects_helper.rb

patching file app/models/issue.rb

Hunk #1 succeeded at 165 (offset 22 lines).

Hunk #2 FAILED at 317.

Hunk #3 FAILED at 418.

Hunk #4 FAILED at 577.

Hunk #5 FAILED at 780.

4 out of 5 hunks FAILED -- saving rejects to file app/models/issue.rb.rej
patching file app/models/issue_category.rb

patching file app/models/project.rb

Hunk #1 succeeded at 403 with fuzz 1 (offset 19 lines).

patching file app/views/issue_categories/_form.rhtml

patching file app/views/issues/_attributes.rhtml

patching file db/migrate/20110216000000_add_issue_category_sharing.rb

#26 - 2011-06-03 15:53 - Daniel Neis Araujo
Hello,
i've not had time to update the patch for 1.2.0 but i hope i can do this next week.

Regards,
Daniel

#27 - 2011-06-06 08:23 - Chris Darts
Daniel Neis Araujo wrote:
i've not had time to update the patch for 1.2.0 but i hope i can do this next week.
Thanks Daniel, this is great news. Currently this is the only thing stopping me from upgrading to 1.2.0 and it's such a useful patch that | can't consider
upgrading without it.
Chris
#28 - 2011-06-06 21:52 - Daniel Neis Araujo
Hello,

i've rebased my patch to Redmine-1.2-stable, and here is the full patch:
https://github.com/danielneis/redmine/commit/3a959c3c89d6bcec8e26eb13cc22f271f7252209

you can add .diff or .patch to the end to download the desired format or use git to merge directly from my repository.

HTH,
Daniel

#29 - 2011-06-07 08:57 - Chris Darts

I've just tested this on Redmine 1.2.0.stable.6000 and it seems to work fine.

Thanks Daniel.

#30 - 2011-09-12 23:17 - Tao Lin

+1

#31 - 2011-09-14 06:23 - Andrew Dahlin

+1 any chance on this getting merged into a release?

#32 - 2011-09-14 08:07 - Siegfried Vogel

+1

#33 - 2011-09-28 21:18 - Marton Danoczy

+1

#34 - 2011-09-30 18:55 - Raul Fortes

+1

#35 - 2011-10-28 11:20 - Anonymous

Perhaps I'm doing something silly, but when | updated the code (Bitnami Redmine 1.2) to patch it, nothing happened.
Specifically:

The sharing column was added to the issue_categories table in the DB, with "none" filled into category's sharing column
Categories specified in parent projects did not appear in the child projects

| changed the sharing value to "descendants” in the DB, but that didn't help either.

There was no change in the user interface to indicate any form of sharing.

What am | doing wrong?

#36 - 2011-10-31 12:24 - Daniel Neis Araujo

Hello, Kunal

which version of patch did you used? Also, did you applied the patch with git or "patch -p1" ? I've not updated the patch in last 5 months, so
something in redmine could broke my patch...

If you send me the commands you used and the outputs, i can try to help you

Kind Regards,
Daniel

#37 - 2011-11-02 23:14 - Terence Mill

+1

#38 - 2011-12-28 12:21 - Gurvan Le Dromaguet

+1, integrated in my redmine instance

#39 - 2012-01-25 16:48 - Tobias Fischer

Gurvan Le Dromaguet wrote:

+1, integrated in my redmine instance

On which redmine version did you apply the patch?
Is it working with 1.3.0?

#40 - 2012-01-30 12:24 - Miguel Filho
+1

#41 - 2012-02-21 10:54 - Artur Wasilewski

+1

#42 - 2012-02-21 11:54 - Martin Denizet (redmine.org team member)

Me too I'd like to see this feature in Redmine. It would save me quite some time updating all my sub-projects's categories.

#43 - 2012-02-23 02:04 - Leo Shklovskii

- File shared_categories_redmine_13.patch added

Daniel's patch didn't work for 1.3 (primarily because of the view renames from .rhtml to .html.erb), so here's a re-written version of it for 1.3 with a few
minor improvements.

Keep in mind that this is a pretty messy hack in a lot of ways. It basically clones the functionality of Versions to Categories. Some esoteric project
operations may not properly reset categories when that's needed.

#44 - 2012-02-23 02:29 - Leo Shklovskii

- File shared_categories_redmine_13.patch added

And there was a bug in my patch, fixed and re-uploaded. Also, to clarify, this patch is against the 1.3.1 release.

#45 - 2012-03-13 17:59 - alan blount

+1 -- anyone want to make this into a plugin, or can we roll it into the core application -- it seems like an obvious win.

#46 - 2012-03-20 21:58 - Leo Shklovskii

- File shared_categories_redmine_1.3.1_v3.diff added

Ugh, the previous version of the patch had a few crashes. This is the final version, we've been running it for two weeks without any problems.

It's really hard to turn this into a plugin since it monkeypatches pieces of core methods. As far as actually integrating it into core, there's probably a ton
more work and tests that need to be done. As it is, it's a pretty messy hack.

#47 - 2012-03-27 13:10 - Bruno Plantier

Leo Shklovskii wrote:
Ugh, the previous version of the patch had a few crashes. This is the final version, we've been running it for two weeks without any problems.

It's really hard to turn this into a plugin since it monkeypatches pieces of core methods. As far as actually integrating it into core, there's probably
a ton more work and tests that need to be done. As it is, it's a pretty messy hack.

Hi,

| tried to apply your patch, | still have an error in my log:

Processing IssueCategoriesController#new (for ::1 at 2012-03-27 11:54:17) [GET]
Parameters: {"project_id"=>"test", "action"=>"new", "controller"=>"issue_categories"}

Rendering template within layouts/base

Rendering issue_categories/new

ActionView: :TemplateError (uninitialized constant IssueCategory::SHARINGS) on line #6 of app/views/issue_categ
ories/_form.html.erb:

3: <div class="box">

4: <p><%= f.text_field :name, :size => 30, :required => true %$></p>

5: <p><%= f.select :assigned_to_id, principals_options_for_select (@project.assignable_users, (@category.assigne
d_to), :include_blank => true %$></p>

6: <p><%= f.select :sharing, @category.allowed_sharings.collect{|c| [format_category_sharing_simple(c), cl} %>
</p>
7: </div>

app/models/issue_category.rb:49:in “allowed_sharings'
app/views/issue_categories/_form.html.erb:6
app/views/issue_categories/new.html.erb:4
app/helpers/application_helper.rb:871:in " labelled_tabular_form_for'
app/views/issue_categories/new.html.erb:3
config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in “dispatch_cgi'

Rendering /Applications/redmine-1.3.1-1/apps/redmine/public/500.html (500 Internal Server Error)
What | have done on my bitnami redmine stack (version of redmine is 1.3.1):
cd /Applications/redmine-1.3.1-1/apps/redmine
patch -pl < shared_categories_redmine_1.3.1_v3.diff

./../use_redmine
rake db:migrate:all RAILS_ENV=production
../../ctlscript.sh restart
| have checked the issue_categories table, the field sharing have been created, here its description
Type : varchar(255)
Charset : utf8_general_ci
Null : No
Default : none

Anidea ?

Regards,
Bruno

PS: | am a total newbie in ruby/redmine so please, give me a chance to learn, thanks a lot ;0)
#48 - 2012-06-04 13:02 - Motaz Abuthiab

| think sharing categories (something like version sharing) will be so helpful

so +1

#49 - 2012-06-04 13:20 - Motaz Abuthiab

Motaz Abuthiab wrote:

| think sharing categories (something like version sharing) will be so helpful, we have a working patch for version 1.2, so | hope it will be added to
21.0

so +1

#50 - 2012-06-18 17:59 - Franco Mosto

Hello,

Unfortunately I'm running Redmine v1.3.2, | tried to apply your patch but it gave me the following errors:
patching file app/models/issue_categgory.rb

Hunk #1 FAILSED at 16

Hunk #2 succeeded at 49 (offset 1 line)

Now, category sharing attribute appears when | create a new category, but any change of default setting (no sharing) is not taken into account.

Is there anybody using Redmine v1.3.2 who succeeded applying this very useful patch?
Thank you in advance

Leo Shklovskii wrote:
Ugh, the previous version of the patch had a few crashes. This is the final version, we've been running it for two weeks without any problems.

It's really hard to turn this into a plugin since it monkeypatches pieces of core methods. As far as actually integrating it into core, there's probably
a ton more work and tests that need to be done. As it is, it's a pretty messy hack.

#51 - 2012-06-26 22:08 - Leo Shklovskii

We had a few more variations on the patch, but we're unfortunately still stuck on 1.3.1. It would be really ideal to get this integrated into trunk. We
don't have the expertise/time needed to bring the patch up to production level (with tests and etc).

#52 - 2012-07-04 09:30 - Anatol Bollinger

We're using sub-projects for customer-specific tickets of our products. Not sharing categories across the project hierarchy renders filtering by
category useless.

+1

#53 - 2012-08-18 20:34 - Serge Ballesta

- File inherited_categories.diff added

| also need that categories of main project can be assigned to issues of subprojects and that filtering in main project show issues of subproject
sharing a parent category.

| just tried a minimal patch (joined) :

- add a method in project.rb that returns the categories of the project and its ancestors

- use that method in app/views/issues/_attributes.html.erb in place of issue_categories

It seems to work in 2.0.3, and in 1.4.4 : | can assign categories of parent in issues concerning sub-projects and filtering works fine - I'm not sure if it
can cause problems elsewhere but core redmine tests pass without errors.

| tried it in an older revision (1.2.2 - changing _attributes.html.erb by _attributes.rhtml) and it works exactly the same.

If this causes no problems in other parts of redmine, it could be easy to make this feature optional per project so that it could be included without
regression for existing projects.

#54 - 2012-09-04 16:18 - Serge Ballesta

| must admit what | wrote above was rather stupid. As soon as project hierarchy changes it will lead to garbage.

| made some more tests and here is what | propose :

- a project may recursively inherit from its parent => there's an inheritance chain stopped at first project that chose not to inherit from its parent -
simply a new checkbox in view "project/settings"

- an issue may be assigned a category from its project or from any inherited project

- when destroying an issue category, issues assigned to it may be reassigned to any other inherited category

- when a project changes parent or no longer inherits from its parent, for each previously inherited category that would be lost a new category with
same name is created in the project (if it doesn't allready exists) and issues are reassigned to it(*).

- the list of all categories from inherited project is shown (read-only) in the view "project/settings/issue_categories"

Of course, the patch will be much bigger, and there is no hope it applies to a different version of redmine. But it could be easy to make "backports" as
plugins for previous versions as few methods are modified. And there will be no regression : nothing is changed for projects that don't use inheritance.

I hope I'll soon have a first version of such a patch.

(*) of course it will lead to numeric issue categories (the id) in journal details - but it is the way redmine currently does when reassigning issue
categories

#55 - 2012-09-21 16:38 - Serge Ballesta

Patch (against trunk r10433) proposed as issue #11898.

Should be portable with little work on versions 2.1 or 2.0.x

Should be portable with some more work on version 1.4.x

| do not know how much work would be necessary for versions 1.3.x or 1.2.x or even ...

#56 - 2013-01-20 13:49 - Ruedi Silvestri

+1, would be extremely valuable to have this added to redmine.

#57 - 2013-03-20 15:49 - Gergely Nagy
Me 2:

+1

#58 - 2013-03-26 14:34 - Dipan Mehta

+1

#59 - 2013-04-06 15:47 - Brian Shaver

+1

#60 - 2013-04-25 10:46 - Ralph Twele

+1

#61 - 2013-09-16 17:42 - Gurvan Le Dromaguet

Any chance to include this for 2.4 ? patch for this looks quite safe and show no problem, Have been using it for almost 2 years now, 100+ users.

#62 - 2013-10-14 23:15 - Claudio Moscoso
- File shareCategories.sql.txt added

Hello,

I made two sql-based script for copy issue-categories from a project to other, and other script for copy from a project to all others projects.

Regards

PD: Sorry by my bad english.

#63 - 2013-10-15 10:05 - Mikotaj Milej

Copying is only workaround because you will end with categories that have different ids, so they are completely different in database point of view.

it should be dole like that:

categories: |jqg name
1 Foo
2 Bar
projects: |iqg name
1 project 1
2 project 2
categories_in_projects: projecct_id category_id
1 2
2 1
2 2

So then you can share categories across all the projects and filtering is able to group/sort correctly by categories.

Additional logic can guard that you can assign only share categories within one project hierarchy (separating projects) - useful when you would like to
rename category.

Additional you can create global categories.

#64 - 2013-11-01 06:57 - yac yac

+1

we need to fragment projects into subprojects in order to not disclose VCS repositories to departments that don't need to see them.
Missing this feature is a blocker on categories for us.

#65 - 2013-11-08 15:30 - Ribald Drobens

+1

#66 - 2014-01-09 14:12 - Daniel Kiippers

+1

database logic have to be definitly be modified the right way.
Edit - Workaround:

In solution to use categories, i choose not to use the build-in ones. Instead, i take a custom field dropdownlist for all projects and all trackers. In this
Way, youre able to filter globally for the custom categories you created. Queries are not that fast, but it works.

#67 - 2014-01-31 01:24 - Toshi MARUYAMA
- Has duplicate Feature #12215: Option to inherit Issue Category list from Parent project to Sub-projects added

#68 - 2014-06-18 07:52 - Toshi MARUYAMA

- Related to Feature #16941: Do not clear category on project change if category with same exists added

#69 - 2014-07-22 11:00 - Jérome BATAILLE

+1

#70 - 2014-08-09 07:38 - Lajish Lakshmanan
toshio harita MARUYAMA
Category inheritance should also be allowed across projects. Please don't limit its scope to sub projects.

#71 - 2015-05-07 09:44 - Inese Ez

+1

#72 - 2015-05-27 18:22 - Jérome BATAILLE

+1

#73 - 2015-09-05 01:37 - Ariel Lira

+1 this functionality would be extremely useful in some scenarios with lot of subprojects and similar configuration.

In my case (a Help Desk), | have a parent project with no trackers enabled and support users (company employees). This project has a lot of
subprojects, each for a different website, with its own tickets and additional users (the clients). All subprojects have the exactly same categories
(frontend, security, performance, design, etc) and each category has the same group of assignees.

It would be extremely useful to share the same categories among all subprojects and that would permit to generate better queries and reports.

#74 - 2015-09-22 14:24 - Beslan CELIKCAN

+1

#75 - 2015-09-28 09:08 - Antonio Kless

+1
#76 - 2015-10-07 16:14 - Luc Luc
+1

For the moment | duplicate the categories on the sub-projects, but besides having to do the same work twice -- the ugly part is that on all queries and
reports the categories are duplicated too (of course).

#77 - 2015-12-18 01:29 - Bodo Maass

+1 Sharing categories across projects would be very useful when managing large inter-related projects.

#78 - 2016-03-04 13:51 - Tim Kranich

+1 This would be a good thing to have.

#79 - 2016-03-25 11:51 - Jean Louis

+1

#80 - 2016-07-06 09:21 - yuliang shao
+ 1 Waiting it

#81 - 2016-10-04 16:57 - Massimiliano De Ruosi
+1
as pointed out, an implementation similar to version sharing would be optimal

#82 - 2016-10-04 21:40 - Kamil Franckiewicz

+1

#83 - 2016-11-06 21:18 - Pierre Maigne

+1

That would be a great enhancement. In our case, we always have to duplicate manually the categories from the main project to each subproject.
#84 - 2016-11-09 10:01 - Phil Valentine

+1

This would be really useful, it seems counter-intuitive that sub-projects need to have all their own categories etc setup. Inheriting 'Versions' is great,

but it would be really useful for all the other parts of a project too.
This was raised 6 years ago, | can't believe it hasn't made it into the mainline Redmine yet.

#85 - 2016-11-21 07:53 - Kush Suryavanshi
+1

#86 - 2016-11-24 15:49 - Christian Skjetne

+1

#87 - 2017-01-06 15:19 - Matthieu Gobillot

+1
| agree it would be really useful to inherit categories for subprojects.
The choice could be up to the user if the settings were to be made like the versions inheritance.

#88 - 2017-03-21 16:47 - john aylward

+1 would like to see something similar to version sharing.

#89 - 2017-03-21 16:52 - Valdir Stiebe Junior

+1

#90 - 2017-03-29 19:18 - Sonia Zh

+1

#91 - 2017-05-17 14:52 - Iwadara |

+1

#92 - 2017-07-12 00:15 - Sergey Simakov

+1

#93 - 2017-08-08 20:39 - Dmitry Bezrukov

I'm not a Ruby developer. Can we contribute anyhow to solve this issue? Free beer?

#94 - 2018-01-23 13:30 - Aleksey Shmelev

+1

#95 - 2018-02-12 12:50 - Oscar Moreno

+1

#96 - 2018-02-12 14:38 - Tomasz Janicki
- File Custom-Global.jpg added
Today's finding.

For those who need to report time (or simply filter) using a global ID (aka. "Global Category"), please use Custom Fields, either on Issues or Project
and they have be of List type. As attached.

If used on issues then "Projects -> For all projects" needs to be selected !
List can only be maintained by the Admin though

Custom-Global.jpg
It is related to this discussion

http://www.redmine.org/boards/1/topics/2040

With Regards
TJ

#97 - 2018-06-10 06:41 - Yuuki NARA
- File select-category-child.png added
- File setting-category.png added

| implemented the category inheritance function on the current 3.4.
| attach a screen copy below.

It is working on my environment, but | have not done enough operation check yet.
Test code is not prepared yet.
Is there anyone who can help?

This function (category inheritance) is very much requested.
(No.2 in vote count list, ISSUE 11898,5358)

It means,category inheritance function is necessary as well as version inheritance.
| am happy if it is incorporated into the core of 3.4, 4.0.

Because of this problem, | am managing the environment which can not be updated from 2.6.
(Currently it uses the patch for 2.5 of issue 11898)

| want to be able to update the same environment to the current version.

Regards

#98 - 2018-06-16 16:01 - Yuuki NARA

| added a category inheritance function to Redmine 3.4.6 and released it to GitHub repository.

It is working on my environment, but | have not done enough operation check yet.
| did not add test code.

If you need this function, please use it at your own risk.
| am happy if it is incorporated into the Redmine core.
Is there anyone who can help?

test code,testing,,

https://github.com/y503unavailable/redmine/tree/3.4-unofficialcooking

Share Issues Categories for sub-projects(11898,5358) for Redmine 3.4
https://github.com/y503unavailable/redmine/issues/14

| tagged current code to 3.4.6-inherit-category.
How to get the current code 2018/6/16
git clone --depth=1 -b 3.4.6-inherit-category https://github.com/y503unavailable/redmine.qit

#99 - 2018-06-18 07:24 - Mizuki ISHIKAWA

+1

#100 - 2018-06-21 06:02 - Akipii Oga

+1

#101 - 2018-07-13 03:37 - Manuel Palachuk
+1

Yuuki,

We would like to help test this but | do not want to build an entire instance based on your fork/mirror.
How can we pull only the code required to update my fresh Redmine 3.4.6.stable.17445 to allow for Categories sharing with sub projects?

Thank you in advance.

#102 - 2018-07-13 16:04 - Kumar Abhinav

+1
Would love to have this feature implemented.
It would be really easy to work if we have global issue categories which can be shared among projects.

#103 - 2018-07-17 15:38 - Yuuki NARA
Thank you for comments

Manuel Palachuk Wrote:

We would like to help test this but | do not want to build an entire instance based on your fork/mirror.
https://github.com/y503unavailable/redmine.git

How can we pull only the code required to update my fresh Redmine 3.4.6.stable.17445 to allow for Categories sharing with sub projects?

Thank you for help me.

Wait a couple of weeks to create a repository with only this fix.
Please PullRequest to GitHub.

Ultimately, | will post patch of source code and test code here.
Kumar Abhinav Wrote:

Would love to have this feature implemented.
It would be really easy to work if we have global issue categories which can be shared among projects.

Yes, as with the Version, it corresponds to global categories.
It can be used with all projects.

#104 - 2018-09-10 20:16 - Manuel Palachuk
Curious where this is at.
Would love to get rolling on testing it.

It also occurred to me; why not simply put the Categories at the top level in the Administration section and make them truly global without being tied to
any project?

Thanks

#105 - 2018-11-16 12:43 - Jérémy BARBIER

Hello,

We are a connected solutions editor company and we use Redmine for our project management.
We use the categories of issues to group our development requests by features.
Some of these features are common between subprojects.

It would be great if we could have this category-parsing feature between a parent project and its subprojects.

Thanks

#106 - 2018-11-26 12:38 - Konstantin Ladutenko
Yuuki NARA wrote:

| implemented the category inheritance function on the current 3.4.
| attach a screen copy below.

LG2M! Any chance to have it in upstream master? Or as a plugin?

#107 - 2018-12-06 17:21 - Elise Eeckman

+1
Please, a plugin would be great.
Duplication in all sub project does not allow to filter in root project on categories.

#108 - 2019-07-17 19:04 - Yuuki NARA

| created a patch corresponding to the current Redmine-Trunk.
It corresponds to SVN Revision 18328.

https://github.com/redmine/redmine/compare/master...y503unavailable:feature-category-trunk20190629.patch
The current source set is below, so | hope you can try it.

If you have been using the inheritance function of the category before,

it is supported so that the error does not occur in the DB Migration process.

https://github.com/y503unavailable/redmine/tree/feature-category-trunk20190629

However, | did not write test code.
Since it is the same function as SubProject inheritance function of Version,
| think that it is better to create test code similar to Version.

This time | created a patch file directly from Github.
As it is the first for me, please point out if there is a work error.
#109 - 2019-07-18 02:03 - Mizuki ISHIKAWA
Yuuki NARA wrote:

| created a patch corresponding to the current Redmine-Trunk.
It corresponds to SVN Revision 18328.

Thank you for sharing the code.
The patch seems to work correctly in my environment(trunk r18328).

#110 - 2019-08-07 12:49 - Yuuki NARA

I think this patch can be merged into Redmine 4.2, how about it?
The test code remains and | don't want to delay the release of Redmine 4.1.

#111 - 2019-10-07 15:14 - Jérome BATAILLE
Hi, we have developed a patch that is a generalization of Categories sharing.

I think it replies totally to the need expressed here.
The only thing you have to do is to create a new ProjectEnumeration custom field.

You can check it here :
http://www.redmine.org/plugins/redmine_smile_project_enumerations_custom_field_format

#112 - 2019-10-15 08:46 - Ryoji Takeuchi

+1

#113 - 2021-01-26 23:27 - Kelvin Lomberg

+1

#114 - 2021-12-01 12:08 - Hai-Nam Nguyen

+1

#115 - 2022-06-23 18:00 - Marcos Mata

+1

#116 - 2023-09-12 17:01 - Tevin Z

+1

#117 - 2024-12-02 00:51 - r miyata

+1

Files

redmine-5358.diff 8.35 KB 2011-02-16
5358-first.working.version.diff 9.57 KB 2011-02-17
shared_categories_redmine_13.patch 16.1 KB 2012-02-23
shared_categories_redmine_13.patch 16.6 KB 2012-02-23
shared_categories_redmine_1.3.1_v3.diff 16.7 KB 2012-03-20
inherited_categories.diff 1.35 KB 2012-08-18
shareCategories.sql.txt 1.72 KB 2013-10-14
Custom-Gilobal.jpg 47.5 KB 2018-02-12
select-category-child.png 48.1 KB 2018-06-10
setting-category.png 298 KB 2018-06-10
